## com.blogspot.applications4android.comicreader.core
Class FullyAwakeIntentService

    java.lang.Object
      IntentService
          com.blogspot.applications4android.comicreader.core.FullyAwakeIntentService

Direct Known Subclasses:
  BackgroundCacheIntentService

    public abstract class FullyAwakeIntentService

extends IntentService

Class which is expected to launch a service while fully awake throughout Code borrowed from Mark Murphy's WakefulIntentService

Constructor Summary
`FullyAwakeIntentService(java.lang.String name)` Constructor

Method Summary
`static void` `acquireStaticLock(Context context)` Acquire a lock on the static lock object
`protected abstract void` `doWork(Intent intent)` Perform the actual work
`protected void` `onHandleIntent(Intent intent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullyAwakeIntentService

    public FullyAwakeIntentService(java.lang.String name)

  Constructor

  Parameters:
    `name` - name of this class

Method Detail

### acquireStaticLock

    public static void acquireStaticLock(Context context)

  Acquire a lock on the static lock object

  Parameters:
    `context` - context

### onHandleIntent

    protected final void onHandleIntent(Intent intent)

### doWork

    protected abstract void doWork(Intent intent)

  Perform the actual work

  Parameters:
    `intent` - intent